curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"bond_infos": [
{
"$type": "Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"bond_coupons": [
{
"$type": "Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core",
"coupon_leg_start_date": "2023-11-07T05:31:56Z",
"coupon_leg_end_date": "2023-11-07T05:31:56Z",
"coupon_leg_first_coupon_date": "2023-11-07T05:31:56Z",
"coupon_leg_penultimate_coupon_date": "2023-11-07T05:31:56Z",
"fixed_coupon_rate": 123,
"coupon_index_id": "<string>",
"index_fixing_lag": 123,
"index_multiplier": 123,
"coupon_floor": 123,
"coupon_cap": 123
}
],
"calendar_id": "<string>",
"country": "<string>",
"coupon_rate": 123,
"coupon_rates": [
123
],
"currency": "<string>",
"dated_date": "2023-11-07T05:31:56Z",
"default_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_to_end": true,
"equity_asset_currency": "<string>",
"equity_asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
},
"exchanges": [
"<string>"
],
"figi": "<string>",
"first_coupon_date": "2023-11-07T05:31:56Z",
"has_capitalisation": true,
"has_flip_option": true,
"has_indexed_principal": true,
"is_benchmark_bond": true,
"is_callable": true,
"is_convertible": true,
"is_covered": true,
"is_credit_sensitive": true,
"is_exchangeable": true,
"is_extendible": true,
"is_hybrid": true,
"isin": "<string>",
"is_inflation_protected": true,
"is_perpetual": true,
"is_putable": true,
"is_sinkable": true,
"issue_date": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"issuer_lei": "<string>",
"is_valid": true,
"market": "<string>",
"maturity_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"original_issue_amount": 123,
"par_value": 123,
"penultimate_coupon_date": "2023-11-07T05:31:56Z",
"quotation_base": 123,
"quoted_clean": true,
"redemption_rate": 123,
"conversion_fixed_exchange_rate": 123,
"reuters_issuer_id": "<string>",
"reuters_issuer_name": "<string>",
"reuters_issuer_org_id": "<string>",
"reuters_ticker": "<string>",
"ric": "<string>",
"sedol": "<string>",
"settlement_lag": 123,
"sub_type": "<string>",
"type": "<string>",
"c_bonds_bond_issuer_id": "<string>",
"issuer_perm_id": "<string>",
"has_dividend_protection": true,
"has_dilution": true,
"is_quanto": true,
"nominal_value_index_id": "NOMINAL_INDEX_EXAMPLE",
"nominal_value_rate_asset_id": "NOMINAL_RATE_ASSET_EXAMPLE"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"bond_infos": [
{
"$type": "Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": False,
"bond_coupons": [
{
"$type": "Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core",
"coupon_leg_start_date": "2023-11-07T05:31:56Z",
"coupon_leg_end_date": "2023-11-07T05:31:56Z",
"coupon_leg_first_coupon_date": "2023-11-07T05:31:56Z",
"coupon_leg_penultimate_coupon_date": "2023-11-07T05:31:56Z",
"fixed_coupon_rate": 123,
"coupon_index_id": "<string>",
"index_fixing_lag": 123,
"index_multiplier": 123,
"coupon_floor": 123,
"coupon_cap": 123
}
],
"calendar_id": "<string>",
"country": "<string>",
"coupon_rate": 123,
"coupon_rates": [123],
"currency": "<string>",
"dated_date": "2023-11-07T05:31:56Z",
"default_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_to_end": True,
"equity_asset_currency": "<string>",
"equity_asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
},
"exchanges": ["<string>"],
"figi": "<string>",
"first_coupon_date": "2023-11-07T05:31:56Z",
"has_capitalisation": True,
"has_flip_option": True,
"has_indexed_principal": True,
"is_benchmark_bond": True,
"is_callable": True,
"is_convertible": True,
"is_covered": True,
"is_credit_sensitive": True,
"is_exchangeable": True,
"is_extendible": True,
"is_hybrid": True,
"isin": "<string>",
"is_inflation_protected": True,
"is_perpetual": True,
"is_putable": True,
"is_sinkable": True,
"issue_date": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"issuer_lei": "<string>",
"is_valid": True,
"market": "<string>",
"maturity_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"original_issue_amount": 123,
"par_value": 123,
"penultimate_coupon_date": "2023-11-07T05:31:56Z",
"quotation_base": 123,
"quoted_clean": True,
"redemption_rate": 123,
"conversion_fixed_exchange_rate": 123,
"reuters_issuer_id": "<string>",
"reuters_issuer_name": "<string>",
"reuters_issuer_org_id": "<string>",
"reuters_ticker": "<string>",
"ric": "<string>",
"sedol": "<string>",
"settlement_lag": 123,
"sub_type": "<string>",
"type": "<string>",
"c_bonds_bond_issuer_id": "<string>",
"issuer_perm_id": "<string>",
"has_dividend_protection": True,
"has_dilution": True,
"is_quanto": True,
"nominal_value_index_id": "NOMINAL_INDEX_EXAMPLE",
"nominal_value_rate_asset_id": "NOMINAL_RATE_ASSET_EXAMPLE"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
bond_infos: [
{
$type: 'Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core',
provider_id: '<string>',
derivitec_created: '<string>',
derivitec_modified: '<string>',
uploaded_date_time: '<string>',
derivitec_modified_by: '<string>',
uploaded_by: '<string>',
rolled: false,
bond_coupons: [
{
$type: 'Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core',
coupon_leg_start_date: '2023-11-07T05:31:56Z',
coupon_leg_end_date: '2023-11-07T05:31:56Z',
coupon_leg_first_coupon_date: '2023-11-07T05:31:56Z',
coupon_leg_penultimate_coupon_date: '2023-11-07T05:31:56Z',
fixed_coupon_rate: 123,
coupon_index_id: '<string>',
index_fixing_lag: 123,
index_multiplier: 123,
coupon_floor: 123,
coupon_cap: 123
}
],
calendar_id: '<string>',
country: '<string>',
coupon_rate: 123,
coupon_rates: [123],
currency: '<string>',
dated_date: '2023-11-07T05:31:56Z',
default_date: '2023-11-07T05:31:56Z',
description: '<string>',
end_to_end: true,
equity_asset_currency: '<string>',
equity_asset_id: {
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
},
exchanges: ['<string>'],
figi: '<string>',
first_coupon_date: '2023-11-07T05:31:56Z',
has_capitalisation: true,
has_flip_option: true,
has_indexed_principal: true,
is_benchmark_bond: true,
is_callable: true,
is_convertible: true,
is_covered: true,
is_credit_sensitive: true,
is_exchangeable: true,
is_extendible: true,
is_hybrid: true,
isin: '<string>',
is_inflation_protected: true,
is_perpetual: true,
is_putable: true,
is_sinkable: true,
issue_date: '2023-11-07T05:31:56Z',
issuer: '<string>',
issuer_lei: '<string>',
is_valid: true,
market: '<string>',
maturity_date: '2023-11-07T05:31:56Z',
name: '<string>',
original_issue_amount: 123,
par_value: 123,
penultimate_coupon_date: '2023-11-07T05:31:56Z',
quotation_base: 123,
quoted_clean: true,
redemption_rate: 123,
conversion_fixed_exchange_rate: 123,
reuters_issuer_id: '<string>',
reuters_issuer_name: '<string>',
reuters_issuer_org_id: '<string>',
reuters_ticker: '<string>',
ric: '<string>',
sedol: '<string>',
settlement_lag: 123,
sub_type: '<string>',
type: '<string>',
c_bonds_bond_issuer_id: '<string>',
issuer_perm_id: '<string>',
has_dividend_protection: true,
has_dilution: true,
is_quanto: true,
nominal_value_index_id: 'NOMINAL_INDEX_EXAMPLE',
nominal_value_rate_asset_id: 'NOMINAL_RATE_ASSET_EXAMPLE'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'bond_infos' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core',
'provider_id' => '<string>',
'derivitec_created' => '<string>',
'derivitec_modified' => '<string>',
'uploaded_date_time' => '<string>',
'derivitec_modified_by' => '<string>',
'uploaded_by' => '<string>',
'rolled' => false,
'bond_coupons' => [
[
'$type' => 'Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core',
'coupon_leg_start_date' => '2023-11-07T05:31:56Z',
'coupon_leg_end_date' => '2023-11-07T05:31:56Z',
'coupon_leg_first_coupon_date' => '2023-11-07T05:31:56Z',
'coupon_leg_penultimate_coupon_date' => '2023-11-07T05:31:56Z',
'fixed_coupon_rate' => 123,
'coupon_index_id' => '<string>',
'index_fixing_lag' => 123,
'index_multiplier' => 123,
'coupon_floor' => 123,
'coupon_cap' => 123
]
],
'calendar_id' => '<string>',
'country' => '<string>',
'coupon_rate' => 123,
'coupon_rates' => [
123
],
'currency' => '<string>',
'dated_date' => '2023-11-07T05:31:56Z',
'default_date' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'end_to_end' => true,
'equity_asset_currency' => '<string>',
'equity_asset_id' => [
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
],
'exchanges' => [
'<string>'
],
'figi' => '<string>',
'first_coupon_date' => '2023-11-07T05:31:56Z',
'has_capitalisation' => true,
'has_flip_option' => true,
'has_indexed_principal' => true,
'is_benchmark_bond' => true,
'is_callable' => true,
'is_convertible' => true,
'is_covered' => true,
'is_credit_sensitive' => true,
'is_exchangeable' => true,
'is_extendible' => true,
'is_hybrid' => true,
'isin' => '<string>',
'is_inflation_protected' => true,
'is_perpetual' => true,
'is_putable' => true,
'is_sinkable' => true,
'issue_date' => '2023-11-07T05:31:56Z',
'issuer' => '<string>',
'issuer_lei' => '<string>',
'is_valid' => true,
'market' => '<string>',
'maturity_date' => '2023-11-07T05:31:56Z',
'name' => '<string>',
'original_issue_amount' => 123,
'par_value' => 123,
'penultimate_coupon_date' => '2023-11-07T05:31:56Z',
'quotation_base' => 123,
'quoted_clean' => true,
'redemption_rate' => 123,
'conversion_fixed_exchange_rate' => 123,
'reuters_issuer_id' => '<string>',
'reuters_issuer_name' => '<string>',
'reuters_issuer_org_id' => '<string>',
'reuters_ticker' => '<string>',
'ric' => '<string>',
'sedol' => '<string>',
'settlement_lag' => 123,
'sub_type' => '<string>',
'type' => '<string>',
'c_bonds_bond_issuer_id' => '<string>',
'issuer_perm_id' => '<string>',
'has_dividend_protection' => true,
'has_dilution' => true,
'is_quanto' => true,
'nominal_value_index_id' => 'NOMINAL_INDEX_EXAMPLE',
'nominal_value_rate_asset_id' => 'NOMINAL_RATE_ASSET_EXAMPLE'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Store bond reference data.
Use this operation to create or update bond reference records in a non-Derivitec provider that the caller may edit. The Derivitec provider name is rejected regardless of letter case. Each record needs an ISIN or FIGI, par value, coherent coupon dates, and the terms required by its bond type. Convertible bonds additionally require an equity identifier, equity currency, and conversion terms. Duplicate identifiers and invalid records are reported and skipped while other valid records can be accepted; processing completes before the response is returned.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"bond_infos": [
{
"$type": "Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"bond_coupons": [
{
"$type": "Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core",
"coupon_leg_start_date": "2023-11-07T05:31:56Z",
"coupon_leg_end_date": "2023-11-07T05:31:56Z",
"coupon_leg_first_coupon_date": "2023-11-07T05:31:56Z",
"coupon_leg_penultimate_coupon_date": "2023-11-07T05:31:56Z",
"fixed_coupon_rate": 123,
"coupon_index_id": "<string>",
"index_fixing_lag": 123,
"index_multiplier": 123,
"coupon_floor": 123,
"coupon_cap": 123
}
],
"calendar_id": "<string>",
"country": "<string>",
"coupon_rate": 123,
"coupon_rates": [
123
],
"currency": "<string>",
"dated_date": "2023-11-07T05:31:56Z",
"default_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_to_end": true,
"equity_asset_currency": "<string>",
"equity_asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
},
"exchanges": [
"<string>"
],
"figi": "<string>",
"first_coupon_date": "2023-11-07T05:31:56Z",
"has_capitalisation": true,
"has_flip_option": true,
"has_indexed_principal": true,
"is_benchmark_bond": true,
"is_callable": true,
"is_convertible": true,
"is_covered": true,
"is_credit_sensitive": true,
"is_exchangeable": true,
"is_extendible": true,
"is_hybrid": true,
"isin": "<string>",
"is_inflation_protected": true,
"is_perpetual": true,
"is_putable": true,
"is_sinkable": true,
"issue_date": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"issuer_lei": "<string>",
"is_valid": true,
"market": "<string>",
"maturity_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"original_issue_amount": 123,
"par_value": 123,
"penultimate_coupon_date": "2023-11-07T05:31:56Z",
"quotation_base": 123,
"quoted_clean": true,
"redemption_rate": 123,
"conversion_fixed_exchange_rate": 123,
"reuters_issuer_id": "<string>",
"reuters_issuer_name": "<string>",
"reuters_issuer_org_id": "<string>",
"reuters_ticker": "<string>",
"ric": "<string>",
"sedol": "<string>",
"settlement_lag": 123,
"sub_type": "<string>",
"type": "<string>",
"c_bonds_bond_issuer_id": "<string>",
"issuer_perm_id": "<string>",
"has_dividend_protection": true,
"has_dilution": true,
"is_quanto": true,
"nominal_value_index_id": "NOMINAL_INDEX_EXAMPLE",
"nominal_value_rate_asset_id": "NOMINAL_RATE_ASSET_EXAMPLE"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"bond_infos": [
{
"$type": "Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": False,
"bond_coupons": [
{
"$type": "Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core",
"coupon_leg_start_date": "2023-11-07T05:31:56Z",
"coupon_leg_end_date": "2023-11-07T05:31:56Z",
"coupon_leg_first_coupon_date": "2023-11-07T05:31:56Z",
"coupon_leg_penultimate_coupon_date": "2023-11-07T05:31:56Z",
"fixed_coupon_rate": 123,
"coupon_index_id": "<string>",
"index_fixing_lag": 123,
"index_multiplier": 123,
"coupon_floor": 123,
"coupon_cap": 123
}
],
"calendar_id": "<string>",
"country": "<string>",
"coupon_rate": 123,
"coupon_rates": [123],
"currency": "<string>",
"dated_date": "2023-11-07T05:31:56Z",
"default_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_to_end": True,
"equity_asset_currency": "<string>",
"equity_asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
},
"exchanges": ["<string>"],
"figi": "<string>",
"first_coupon_date": "2023-11-07T05:31:56Z",
"has_capitalisation": True,
"has_flip_option": True,
"has_indexed_principal": True,
"is_benchmark_bond": True,
"is_callable": True,
"is_convertible": True,
"is_covered": True,
"is_credit_sensitive": True,
"is_exchangeable": True,
"is_extendible": True,
"is_hybrid": True,
"isin": "<string>",
"is_inflation_protected": True,
"is_perpetual": True,
"is_putable": True,
"is_sinkable": True,
"issue_date": "2023-11-07T05:31:56Z",
"issuer": "<string>",
"issuer_lei": "<string>",
"is_valid": True,
"market": "<string>",
"maturity_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"original_issue_amount": 123,
"par_value": 123,
"penultimate_coupon_date": "2023-11-07T05:31:56Z",
"quotation_base": 123,
"quoted_clean": True,
"redemption_rate": 123,
"conversion_fixed_exchange_rate": 123,
"reuters_issuer_id": "<string>",
"reuters_issuer_name": "<string>",
"reuters_issuer_org_id": "<string>",
"reuters_ticker": "<string>",
"ric": "<string>",
"sedol": "<string>",
"settlement_lag": 123,
"sub_type": "<string>",
"type": "<string>",
"c_bonds_bond_issuer_id": "<string>",
"issuer_perm_id": "<string>",
"has_dividend_protection": True,
"has_dilution": True,
"is_quanto": True,
"nominal_value_index_id": "NOMINAL_INDEX_EXAMPLE",
"nominal_value_rate_asset_id": "NOMINAL_RATE_ASSET_EXAMPLE"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
bond_infos: [
{
$type: 'Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core',
provider_id: '<string>',
derivitec_created: '<string>',
derivitec_modified: '<string>',
uploaded_date_time: '<string>',
derivitec_modified_by: '<string>',
uploaded_by: '<string>',
rolled: false,
bond_coupons: [
{
$type: 'Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core',
coupon_leg_start_date: '2023-11-07T05:31:56Z',
coupon_leg_end_date: '2023-11-07T05:31:56Z',
coupon_leg_first_coupon_date: '2023-11-07T05:31:56Z',
coupon_leg_penultimate_coupon_date: '2023-11-07T05:31:56Z',
fixed_coupon_rate: 123,
coupon_index_id: '<string>',
index_fixing_lag: 123,
index_multiplier: 123,
coupon_floor: 123,
coupon_cap: 123
}
],
calendar_id: '<string>',
country: '<string>',
coupon_rate: 123,
coupon_rates: [123],
currency: '<string>',
dated_date: '2023-11-07T05:31:56Z',
default_date: '2023-11-07T05:31:56Z',
description: '<string>',
end_to_end: true,
equity_asset_currency: '<string>',
equity_asset_id: {
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
},
exchanges: ['<string>'],
figi: '<string>',
first_coupon_date: '2023-11-07T05:31:56Z',
has_capitalisation: true,
has_flip_option: true,
has_indexed_principal: true,
is_benchmark_bond: true,
is_callable: true,
is_convertible: true,
is_covered: true,
is_credit_sensitive: true,
is_exchangeable: true,
is_extendible: true,
is_hybrid: true,
isin: '<string>',
is_inflation_protected: true,
is_perpetual: true,
is_putable: true,
is_sinkable: true,
issue_date: '2023-11-07T05:31:56Z',
issuer: '<string>',
issuer_lei: '<string>',
is_valid: true,
market: '<string>',
maturity_date: '2023-11-07T05:31:56Z',
name: '<string>',
original_issue_amount: 123,
par_value: 123,
penultimate_coupon_date: '2023-11-07T05:31:56Z',
quotation_base: 123,
quoted_clean: true,
redemption_rate: 123,
conversion_fixed_exchange_rate: 123,
reuters_issuer_id: '<string>',
reuters_issuer_name: '<string>',
reuters_issuer_org_id: '<string>',
reuters_ticker: '<string>',
ric: '<string>',
sedol: '<string>',
settlement_lag: 123,
sub_type: '<string>',
type: '<string>',
c_bonds_bond_issuer_id: '<string>',
issuer_perm_id: '<string>',
has_dividend_protection: true,
has_dilution: true,
is_quanto: true,
nominal_value_index_id: 'NOMINAL_INDEX_EXAMPLE',
nominal_value_rate_asset_id: 'NOMINAL_RATE_ASSET_EXAMPLE'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'bond_infos' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core',
'provider_id' => '<string>',
'derivitec_created' => '<string>',
'derivitec_modified' => '<string>',
'uploaded_date_time' => '<string>',
'derivitec_modified_by' => '<string>',
'uploaded_by' => '<string>',
'rolled' => false,
'bond_coupons' => [
[
'$type' => 'Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core',
'coupon_leg_start_date' => '2023-11-07T05:31:56Z',
'coupon_leg_end_date' => '2023-11-07T05:31:56Z',
'coupon_leg_first_coupon_date' => '2023-11-07T05:31:56Z',
'coupon_leg_penultimate_coupon_date' => '2023-11-07T05:31:56Z',
'fixed_coupon_rate' => 123,
'coupon_index_id' => '<string>',
'index_fixing_lag' => 123,
'index_multiplier' => 123,
'coupon_floor' => 123,
'coupon_cap' => 123
]
],
'calendar_id' => '<string>',
'country' => '<string>',
'coupon_rate' => 123,
'coupon_rates' => [
123
],
'currency' => '<string>',
'dated_date' => '2023-11-07T05:31:56Z',
'default_date' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'end_to_end' => true,
'equity_asset_currency' => '<string>',
'equity_asset_id' => [
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
],
'exchanges' => [
'<string>'
],
'figi' => '<string>',
'first_coupon_date' => '2023-11-07T05:31:56Z',
'has_capitalisation' => true,
'has_flip_option' => true,
'has_indexed_principal' => true,
'is_benchmark_bond' => true,
'is_callable' => true,
'is_convertible' => true,
'is_covered' => true,
'is_credit_sensitive' => true,
'is_exchangeable' => true,
'is_extendible' => true,
'is_hybrid' => true,
'isin' => '<string>',
'is_inflation_protected' => true,
'is_perpetual' => true,
'is_putable' => true,
'is_sinkable' => true,
'issue_date' => '2023-11-07T05:31:56Z',
'issuer' => '<string>',
'issuer_lei' => '<string>',
'is_valid' => true,
'market' => '<string>',
'maturity_date' => '2023-11-07T05:31:56Z',
'name' => '<string>',
'original_issue_amount' => 123,
'par_value' => 123,
'penultimate_coupon_date' => '2023-11-07T05:31:56Z',
'quotation_base' => 123,
'quoted_clean' => true,
'redemption_rate' => 123,
'conversion_fixed_exchange_rate' => 123,
'reuters_issuer_id' => '<string>',
'reuters_issuer_name' => '<string>',
'reuters_issuer_org_id' => '<string>',
'reuters_ticker' => '<string>',
'ric' => '<string>',
'sedol' => '<string>',
'settlement_lag' => 123,
'sub_type' => '<string>',
'type' => '<string>',
'c_bonds_bond_issuer_id' => '<string>',
'issuer_perm_id' => '<string>',
'has_dividend_protection' => true,
'has_dilution' => true,
'is_quanto' => true,
'nominal_value_index_id' => 'NOMINAL_INDEX_EXAMPLE',
'nominal_value_rate_asset_id' => 'NOMINAL_RATE_ASSET_EXAMPLE'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadBondInfos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"bond_infos\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.BondInfo, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"bond_coupons\": [\n {\n \"$type\": \"Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core\",\n \"coupon_leg_start_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_end_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"coupon_leg_penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"fixed_coupon_rate\": 123,\n \"coupon_index_id\": \"<string>\",\n \"index_fixing_lag\": 123,\n \"index_multiplier\": 123,\n \"coupon_floor\": 123,\n \"coupon_cap\": 123\n }\n ],\n \"calendar_id\": \"<string>\",\n \"country\": \"<string>\",\n \"coupon_rate\": 123,\n \"coupon_rates\": [\n 123\n ],\n \"currency\": \"<string>\",\n \"dated_date\": \"2023-11-07T05:31:56Z\",\n \"default_date\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"end_to_end\": true,\n \"equity_asset_currency\": \"<string>\",\n \"equity_asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n },\n \"exchanges\": [\n \"<string>\"\n ],\n \"figi\": \"<string>\",\n \"first_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"has_capitalisation\": true,\n \"has_flip_option\": true,\n \"has_indexed_principal\": true,\n \"is_benchmark_bond\": true,\n \"is_callable\": true,\n \"is_convertible\": true,\n \"is_covered\": true,\n \"is_credit_sensitive\": true,\n \"is_exchangeable\": true,\n \"is_extendible\": true,\n \"is_hybrid\": true,\n \"isin\": \"<string>\",\n \"is_inflation_protected\": true,\n \"is_perpetual\": true,\n \"is_putable\": true,\n \"is_sinkable\": true,\n \"issue_date\": \"2023-11-07T05:31:56Z\",\n \"issuer\": \"<string>\",\n \"issuer_lei\": \"<string>\",\n \"is_valid\": true,\n \"market\": \"<string>\",\n \"maturity_date\": \"2023-11-07T05:31:56Z\",\n \"name\": \"<string>\",\n \"original_issue_amount\": 123,\n \"par_value\": 123,\n \"penultimate_coupon_date\": \"2023-11-07T05:31:56Z\",\n \"quotation_base\": 123,\n \"quoted_clean\": true,\n \"redemption_rate\": 123,\n \"conversion_fixed_exchange_rate\": 123,\n \"reuters_issuer_id\": \"<string>\",\n \"reuters_issuer_name\": \"<string>\",\n \"reuters_issuer_org_id\": \"<string>\",\n \"reuters_ticker\": \"<string>\",\n \"ric\": \"<string>\",\n \"sedol\": \"<string>\",\n \"settlement_lag\": 123,\n \"sub_type\": \"<string>\",\n \"type\": \"<string>\",\n \"c_bonds_bond_issuer_id\": \"<string>\",\n \"issuer_perm_id\": \"<string>\",\n \"has_dividend_protection\": true,\n \"has_dilution\": true,\n \"is_quanto\": true,\n \"nominal_value_index_id\": \"NOMINAL_INDEX_EXAMPLE\",\n \"nominal_value_rate_asset_id\": \"NOMINAL_RATE_ASSET_EXAMPLE\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The upload payload. Provide either ProviderId or MarketDataEnvironmentName, not both; omitting both selects the caller's organisation scope. BondInfos must be non-empty and supplies ISIN/FIGI identity, issuer, currency, issue/maturity and coupon terms, quotation convention, par value, and any callable, putable, convertible, sinking, or tranche provisions.
Submits bond reference records.
Derivitec.Web.Core.MarketData.ApiUploadBondInfosRequest, Derivitec.Web.Core Name of the market-data environment to use. Supply either this name or provider_id, not both.
"Example market data"
Opaque identifier of the market-data provider to use. Supply either this identifier or market_data_environment_name, not both.
Bond reference records to upload.
Show child attributes
Show child attributes
Response
Returns whether all reference records were accepted and errors for invalid providers, missing or duplicate identifiers, incomplete terms, or invalid coupon schedules.
Common operation outcome containing a success indicator and any error messages.
Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Was this page helpful?